Generate BigCommerce Login URL (POST)
Generates a BigCommerce customer login URL using the provided LoginRadius access token sent in the request body. If the customer does not exist in BigCommerce, it creates one. Returns a login URL that can be used to authenticate the user into BigCommerce.
Generates a BigCommerce customer login URL using the provided LoginRadius access token sent in the request body. If the customer does not exist in BigCommerce, it creates one. Returns a login URL that can be used to authenticate the user into BigCommerce.
Tenant API Key for authentication
In: query
Query Parameters
BigCommerce store hash identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.hub.loginradius.com/sso/bigcommerce/api/token?store=abc123" \ -H "Content-Type: application/json" \ -d '{ "access_token": "1234567890abcdef1234567890abcdef" }'{
"loginUrl": "https://store-abc123.mybigcommerce.com/login/token/eyJhbGciOiJIUzI1NiJ9"
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}Generate BigCommerce Login URL (GET) GET
Generates a BigCommerce customer login URL using the provided LoginRadius access token. If the customer does not exist in BigCommerce, it creates one. Returns a login URL that can be used to authenticate the user into BigCommerce.
Validate BigCommerce Customer Password POST
Validates a BigCommerce customer's password by checking the provided email and password against the BigCommerce store's customer records.